from pydantic import BaseModel
from enum import Enum as PydanticEnum

class UserRole(str, PydanticEnum):
    admin = "admin"
    user = "user"

class UserLogin(BaseModel):
    username: str
    password: str

class OrderStatus(str, PydanticEnum):
    pending = "pending"
    in_progress = "in_progress"
    completed = "completed"

class OrderCreate(BaseModel):
    title: str
    description: str = ""

class OrderUpdate(BaseModel):
    title: str = None
    description: str = None
    status: OrderStatus = None

class UserUpdate(BaseModel):
    username: str = None
    role: UserRole = None
