from app import create_app
from app.models import SQLModel, User
from app.db import engine
from app.utils import hash_password

def init_db():
    SQLModel.metadata.create_all(engine)
    # 创建初始管理员
    from sqlmodel import Session, select
    with Session(engine) as session:
        admin = session.exec(select(User).where(User.username == "admin")).first()
        if not admin:
            admin = User(username="admin", password_hash=hash_password("admin123"),role="admin")
            session.add(admin)
            session.commit()

if __name__ == '__main__':
    init_db()
    app = create_app()
    app.run(debug=True,host='0.0.0.0',port=5000)
